%define name ksymoops
%define version 2.4.0
%define release 3mdk

Summary: Tool for decoding Ooops from the kernel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
URL: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libbinutils2-devel
Requires: binutils
Obsoletes: kernel-utils
ExclusiveOS: Linux

%description

ksymoops reads a Linux kernel Oops file and makes the best stab at
converting the code to instructions and mapping addresses to kernel
symbols.

%prep
%setup -q

%build
make DEF_MAP=\\\"/boot/System.map-*r\\\" all
 
%install
make INSTALL_PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALL_MANDIR=$RPM_BUILD_ROOT%{_mandir}/ install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README INSTALL Changelog
/usr/bin/ksymoops
%{_mandir}/man8/ksymoops.8*


%changelog
* Sun Mar  4 2001 Pixel <pixel@mandrakesoft.com> 2.4.0-3mdk
- better require binutils (as objdump is required too)

* Sun Mar  4 2001 Pixel <pixel@mandrakesoft.com> 2.4.0-2mdk
- add require on /usr/bin/nm

* Wed Feb 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.0-1mdk
- First spec file for Mandrake distribution.

# end of file
